using System;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Design
{
    public class Rule1013
    {
        public int OrderId { get; set; }

        public static Rule1013 Add(Rule1013 orderA, Rule1013 orderB)
        {
            return orderA + orderB;
        }

        // このメソッドは CA1013 に違反しています。
        public static Rule1013 operator +(Rule1013 orderA, Rule1013 orderB)
        {
            return new Rule1013 { OrderId = orderA.OrderId + orderB.OrderId };
        }
    }
}
